# OpenApiPetstore.EnumTest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**enumString** | **String** |  | [optional] 
**enumStringRequired** | **String** |  | 
**enumInteger** | **Number** |  | [optional] 
**enumNumber** | **Number** |  | [optional] 
**outerEnum** | [**OuterEnum**](OuterEnum.md) |  | [optional] 



## Enum: EnumStringEnum


* `UPPER` (value: `"UPPER"`)

* `lower` (value: `"lower"`)

* `empty` (value: `""`)





## Enum: EnumStringRequiredEnum


* `UPPER` (value: `"UPPER"`)

* `lower` (value: `"lower"`)

* `empty` (value: `""`)





## Enum: EnumIntegerEnum


* `1` (value: `1`)

* `-1` (value: `-1`)





## Enum: EnumNumberEnum


* `1.1` (value: `1.1`)

* `-1.2` (value: `-1.2`)




